**Source URL:** https://limited.veevavault.dev/quality/vault-api/api-reference/25.3/qualitydocs/document-role-check-for-document-change-control

# Document Role Check for Document Change Control

Check if any document added to a *Document Change Control* (DCC) record has one or more users in a specified *Application Role*. This API only checks documents added to the standard *Documents to be Released* and *Documents to be Made Obsolete* sections.

<Endpoint path="/api/{version}/vobjects/document_change_control__v/{object_record_id}/actions/documentrolecheck" method="POST" />

## Headers

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters

<FieldTable>
| Name | Description |
| --- | --- |
| `{object_record_id}` | The `{id}` field value of the `document_change_control__v` object record. |
</FieldTable>

## Body Parameters

<FieldTable>
| Name | Description |
| --- | --- |
| `{application_role}` | The name of the `application_role__v`. |
</FieldTable>

## Request

<CodeExample title="">
```bash
curl -X POST
https://myvault.veevavault.com/api/v19.2/vobjects/document_change_control__v/00S000000000101/actions/documentrolecheck \
-H "Authorization: {SESSION_ID}" \
-H 'Content-Type: application/x-www-form-urlencoded' \
-d 'application_role: approver__c'
```
</CodeExample>

## Response

<CodeExample title="">
```json
{
  "responseStatus": "SUCCESS",
  "data": {
    "check_result": true
  }
}
```
</CodeExample>

## Response Details

On `SUCCESS`, the response includes the Boolean `check_result` field. A value of `true` indicates that the given *Application Role* is in use on at least one document in the given *Document Change Control* record.

---

**Previous:** [QualityDocs](/quality/vault-api/api-reference/25.3/qualitydocs)  
**Next:** [QMS](/quality/vault-api/api-reference/25.3/qms)